Subject: [PATCH 08/30] ARM: omap2+: fix building without i2c

From: [email-masked] (Tony Lindgren)
Date: Mon, 3 Oct 2011 10:56:08 -0700

* Arnd Bergmann <[email-masked]> [111003 02:15]:
> On Sunday 02 October 2011 19:31:25 Paul Walmsley wrote:
> 
> > Nice catch.  I think the bug is different, though.  omap_i2c_reset should 
> > never be NULL: that code is intended to execute even when 
> > CONFIG_I2C_OMAP=n.  The idea is to prevent the IP block from interfering 
> > with the rest of the kernel even if the driver is not compiled in, no 
> > matter how the bootloader or previous OS programmed the IP block.
> > 
> > I'd suggest something like the following patch instead.
> > 
> > 
> > - Paul
> > 
> > From: Paul Walmsley <[email-masked]>
> > Date: Sun, 2 Oct 2011 19:15:10 -0600
> > Subject: [PATCH] ARM: omap2+: fix build breakage when CONFIG_I2C_OMAP=n
> > 
> > arch/arm/mach-omap2/Makefile incorrectly skips compilation of the I2C
> > IP block reset code when CONFIG_I2C_OMAP=n.  Fix by unconditionally
> > compiling arch/arm/mach-omap2/i2c.o, which is needed on all OMAP2+ platforms.
> > 
> > Problem noted by Arnd Bergmann <[email-masked]>.
> 
> Ok, looks better. You should also drop patch 6 "ARM: omap: fix build with
> CONFIG_I2C_OMAP disabled" then.
> 
> Acked-by: Arnd Bergmann <[email-masked]>

Arnd I suggest you replace your patch with this in your branch.

Acked-by: Tony Lindgren <[email-masked]>